/* include after: lx_string.h */
#ifndef _NAW_LOG_H
#define _NAW_LOG_H

#include <lx_string.h>
#include <lx_map.h>

#define NAW_LOG(etc...) naw_log(etc, LXM_END)

#define NAW_CRIT    0x01
#define NAW_ERROR   0x02
#define NAW_WARNING 0x03
#define NAW_NOTICE  0x04
#define NAW_INFO    0x05
#define NAW_DEBUG   0x06
#define NAW_DEBUG2  0x07
#define NAW_DEBUG3  0x08

extern int (*naw_logptr)(int, lx_s *);

extern int naw_logfmt(int, char *, ...);
extern int naw_log(int, ...);

typedef int (*naw_logptr_t)(int, lx_s *);
extern naw_logptr_t naw_log_register(naw_logptr_t);

#endif /* _NAW_LOG_H */
