#include "cfg_stuff.h"

wordset ws_main[] = {
    { "var",    0,          0, cfg_var     },
    { "allow",  order_auth, 0, match_allow },
    { "accept", order_auth, 0, match_allow },
    { "deny",   order_auth, 0, match_deny  },
    { "reject", order_auth, 0, match_deny  },
    { 0,        0,          0, 0           }
};

orderset order_auth[] = {
    { ws_match,    1, 1   },
    { ws_modifier, 0, -1  },
    { 0,           0, 0   }
};

wordset ws_match[] = {
    { "all",    0,          0,        match_all  },
    { "from",   order_from, ORDERSET, match_from },
    { 0,        0,          0,        0          }
};

orderset order_from[] = {
    { ws_ip, 1, 1 },
    { ws_to, 1, 1 },
    { 0,     0, 0 }
};

wordset ws_ip[] = {
    { "any",  0,       0,        match_ip_any  },
    { "host", ws_port, OPTIONAL, match_ip_host },
    { 0,      0,       0,        0       }
};

wordset ws_to[] = {
    { "to", ws_ip, 0, match_to },
    { 0,    0,     0, 0        }
};

wordset ws_port[] = {
    { "port", 0, 0, match_ip_port },
    { 0,      0, 0, 0       }
};

wordset ws_modifier[] = {
    { "module", order_module, ORDERSET, cfg_module },
    { 0,        0,            0,        0          }
};

orderset order_module[] = {
    { ws_modopt, 0, -1 },
    { 0,         0, 0  }
};

wordset ws_modopt[] = {
    { "opt",    0, 0, cfg_modopt },
    { "modopt", 0, 0, cfg_modopt },
    { 0,        0, 0, 0          }
};


