#include <fcntl.h>
#include <unistd.h>
#include <string.h>
#include "lxmisc.h"
#include "misc.h"
#include "data.h"

cfg_data _dat_global;
cfg_data *dat_global = &_dat_global;

#if 0
	read_config()
	type should be either INIT_CLI or INIT_SRV, which is either 0 or 1.
	reads the requested configuration file, calling cfg_do_line() to
	read and process every line.
	zeroes dat_global every call, so that each configuration file can
	enjoy a fresh global start.
#endif

void read_config (type, file)
	char type;
	char *file;
{
	lx_gd gd;

	if ((gd.fd = open (file, O_RDONLY)) == -1) die_open(file);
	if (lx_gdnew (&gd, gd.fd, 512)) die_nomem();

	memset (dat_global, 0, sizeof (cfg_data));

	cfg_parse (&gd);
	lx_gdfree (&gd);
}
